# H225_TransportQOS Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_endpointControlled, e_gatekeeperControlled, e_noControl, e_qOSCapabilities }

## Public Member Functions

| H225_TransportQOS (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_ArrayOf_QOSCapability & ()
| operator const H225_ArrayOf_QOSCapability & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_TransportQOS::Choices

Enumerator:

  e_endpointControlled |
  e_gatekeeperControlled |
  e_noControl |
  e_qOSCapabilities |

## Constructor & Destructor Documentation

H225_TransportQOS::H225_TransportQOS | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_TransportQOS::operator H225_ArrayOf_QOSCapability & | ( |  | ) |

H225_TransportQOS::operator const H225_ArrayOf_QOSCapability & | ( |  | ) | const

PBoolean H225_TransportQOS::CreateObject | ( |  | ) |

PObject* H225_TransportQOS::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h